.aos-l{
  transform: translateX(-400%);
    transition: transform 0.9s ease;
}

.aos-l:nth-of-type(even) {
    transform: translateX(400%);
}

.aos-l.show {
    transform: translateX(0);
}

.aos-r{
  transform: translateX(400%);
    transition: transform 0.9s ease;
}

.aos-r:nth-of-type(even) {
    transform: translateX(-400%);
}

.aos-r.show {
    transform: translateX(0);
}

@keyframes scale_in_fw_r {
	0% {
		transform: scale(0);
		transform-origin: 100% 50%;
	}

	100% {
		transform: scale(1);
		transform-origin: 100% 50%;
	}
}

@keyframes scale_in_fw_l {
	0% {
		transform: scale(0);
		transform-origin: 0% 50%;
	}

	100% {
		transform: scale(1);
		transform-origin: 0% 50%;
	}
}

@keyframes bounce_in_l {
	0% {
		animation-timing-function: ease-in;
		opacity: 0;
		transform: translateX(-250px);
	}

	38% {
		animation-timing-function: ease-out;
		opacity: 1;
		transform: translateX(0);
	}

	55% {
		animation-timing-function: ease-in;
		transform: translateX(-68px);
	}

	72% {
		animation-timing-function: ease-out;
		transform: translateX(0);
	}

	81% {
		animation-timing-function: ease-in;
		transform: translateX(-28px);
	}

	90% {
		animation-timing-function: ease-out;
		transform: translateX(0);
	}

	95% {
		animation-timing-function: ease-in;
		transform: translateX(-8px);
	}

	100% {
		animation-timing-function: ease-out;
		transform: translateX(0);
	}
}

@keyframes bounce_in_r {
	0% {
		animation-timing-function: ease-in;
		opacity: 0;
		transform: translateX(250px);
	}

	38% {
		animation-timing-function: ease-out;
		opacity: 1;
		transform: translateX(0);
	}

	55% {
		animation-timing-function: ease-in;
		transform: translateX(68px);
	}

	72% {
		animation-timing-function: ease-out;
		transform: translateX(0);
	}

	81% {
		animation-timing-function: ease-in;
		transform: translateX(32px);
	}

	90% {
		animation-timing-function: ease-out;
		transform: translateX(0);
	}

	95% {
		animation-timing-function: ease-in;
		transform: translateX(8px);
	}

	100% {
		animation-timing-function: ease-out;
		transform: translateX(0);
	}
}

@keyframes shake_horizontal {
	0%,
	100% {
		transform: translateX(0);
	}

	10%,
	30%,
	50%,
	70% {
		transform: translateX(-10px);
	}

	20%,
	40%,
	60% {
		transform: translateX(10px);
	}

	80% {
		transform: translateX(8px);
	}

	90% {
		transform: translateX(-8px);
	}
}

@keyframes shake_rotate {
	0%,
	100% {
		transform: rotate(0deg);
		transform-origin: 50% 50%;
	}

	10% {
		transform: rotate(8deg);
	}

	20%,
	40%,
	60% {
		transform: rotate(-10deg);
	}

	30%,
	50%,
	70% {
		transform: rotate(10deg);
	}

	80% {
		transform: rotate(-8deg);
	}

	90% {
		transform: rotate(8deg);
	}
}

.scale_in_fw_l{
  transform: scale(0);
  animation: scale_in_fw_l 2s linear 0.5s 1 normal forwards;
  animation-timeline: view();
  animation-range: entry 0% cover 40%;
}

.scale_in_fw_r{
  transform: scale(0);
  animation: scale_in_fw_r 2s linear 0.5s 1 normal forwards;
  animation-timeline: view();
  animation-range: entry 0% cover 40%;
}

.bounce_in_l{
  animation: bounce_in_l 1s linear 0.5s 1 normal forwards;
  animation-timeline: view();
  animation-range: entry 0% cover 50%;
}

.bounce_in_r{
  animation: bounce_in_r 1s linear 0.5s 1 normal forwards;
  animation-timeline: scroll();
  animation-range: entry 0% cover 50%;
}

.shake_horizontal{
  animation: shake_horizontal 15s linear 0s infinite normal forwards;
}

.shake_rotate{
  animation: shake_rotate 15s linear 0s infinite normal forwards;
}